> For the complete documentation index, see [llms.txt](https://docs.2checkout.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.2checkout.com/json-rpc-api-reference/json-rpc-api-6.0/api-requests/product/retrieve-the-addons-of-a-product.md).

# Retrieve the addons of a product

Use the **getProductAddons** method to retrieve the addon products associated with a regular product.

## Request parameters <a href="#request-parameters" id="request-parameters"></a>

| Parameters    | Type / Description                                                                                                                                                                                                                                                                                         |
| ------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `sessionID`   | <p><strong>Required (string)</strong></p><p>Session identifier, the output of the <strong>Login</strong> method. Include <code>sessionID</code> into all your requests. 2Checkout throws an exception if the values are incorrect.  The <code>sessionID</code> expires in <strong>10 minutes</strong>.</p> |
| `ProductCode` | <p><strong>Required (string)</strong></p><p>The unique code of the regular product.</p>                                                                                                                                                                                                                    |

### Request sample <a href="#request-example" id="request-example"></a>

```php
<?php
require ('PATH_TO_AUTH');

$jsonRpcRequest = array (
'method' => 'getProductAddons',
'params' => array($sessionID, 'MAIN_PRODUCT_CODE'),
'id' => $i++,
'jsonrpc' => '2.0'
);

var_dump (callRPC((Object)$jsonRpcRequest, $host, true));

```

## Response <a href="#response" id="response"></a>

| Parameter     | Type/Description                      |
| ------------- | ------------------------------------- |
| `ProductCode` | The unique code of the addon product. |
| `ProductName` | The name of the addon product.        |
| `ProductType` | Always `ADDON`.                       |

### Response sample <a href="#request-example" id="request-example"></a>

```php
{
  "jsonrpc": "2.0",
  "id": 2,
  "result": [
    {
      "ProductCode": "ADDON_PRODUCT_CODE",
      "ProductName": "Extra Seats",
      "ProductType": "ADDON"
    }
  ]
}
```

### **Error codes**

| Error code                             | Description                                         |
| -------------------------------------- | --------------------------------------------------- |
| **ADDON\_SUBSCRIPTIONS\_NOT\_ENABLED** | Add-ons are not enabled for your 2Checkout account. |
| **PRODUCT\_NOT\_FOUND**                | The regular product cannot be found.                |
| **INVALID\_PRODUCT**                   | `ProductCode` is not a regular product.             |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.2checkout.com/json-rpc-api-reference/json-rpc-api-6.0/api-requests/product/retrieve-the-addons-of-a-product.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
